canonicalize_filename(3)

NAME
canonicalize_filename

SYNOPSIS
#include <allegro.h>

char *canonicalize_filename(char *dest, const char *filename, int size);

DESCRIPTION
Converts any filename into its canonical form, i.e. the minimal absolute filename describing the same file, storing at most size bytes into the dest buffer. Returns a copy of the dest parameter.

SEE ALSO
fix_filename_case(3), fix_filename_slashes(3)